---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libMutateFinals.dylib'
relocations:
  - { offsetInCU: 0x26, offset: 0x26, size: 0x8, addend: 0x0, symName: _Java_MutateFinals_jniSetObjectField, symObjAddr: 0x0, symBinAddr: 0x790, symSize: 0x70 }
  - { offsetInCU: 0x6E, offset: 0x6E, size: 0x8, addend: 0x0, symName: _Java_MutateFinals_jniSetObjectField, symObjAddr: 0x0, symBinAddr: 0x790, symSize: 0x70 }
  - { offsetInCU: 0x128, offset: 0x128, size: 0x8, addend: 0x0, symName: _Java_MutateFinals_jniSetBooleanField, symObjAddr: 0x70, symBinAddr: 0x800, symSize: 0x80 }
  - { offsetInCU: 0x1DC, offset: 0x1DC, size: 0x8, addend: 0x0, symName: _Java_MutateFinals_jniSetByteField, symObjAddr: 0xF0, symBinAddr: 0x880, symSize: 0x80 }
  - { offsetInCU: 0x290, offset: 0x290, size: 0x8, addend: 0x0, symName: _Java_MutateFinals_jniSetCharField, symObjAddr: 0x170, symBinAddr: 0x900, symSize: 0x80 }
  - { offsetInCU: 0x344, offset: 0x344, size: 0x8, addend: 0x0, symName: _Java_MutateFinals_jniSetShortField, symObjAddr: 0x1F0, symBinAddr: 0x980, symSize: 0x80 }
  - { offsetInCU: 0x3F8, offset: 0x3F8, size: 0x8, addend: 0x0, symName: _Java_MutateFinals_jniSetIntField, symObjAddr: 0x270, symBinAddr: 0xA00, symSize: 0x70 }
  - { offsetInCU: 0x4B2, offset: 0x4B2, size: 0x8, addend: 0x0, symName: _Java_MutateFinals_jniSetLongField, symObjAddr: 0x2E0, symBinAddr: 0xA70, symSize: 0x70 }
  - { offsetInCU: 0x56C, offset: 0x56C, size: 0x8, addend: 0x0, symName: _Java_MutateFinals_jniSetFloatField, symObjAddr: 0x350, symBinAddr: 0xAE0, symSize: 0x70 }
  - { offsetInCU: 0x628, offset: 0x628, size: 0x8, addend: 0x0, symName: _Java_MutateFinals_jniSetDoubleField, symObjAddr: 0x3C0, symBinAddr: 0xB50, symSize: 0x70 }
  - { offsetInCU: 0x6E4, offset: 0x6E4, size: 0x8, addend: 0x0, symName: _Java_MutateFinals_jniSetStaticObjectField, symObjAddr: 0x430, symBinAddr: 0xBC0, symSize: 0x60 }
  - { offsetInCU: 0x77C, offset: 0x77C, size: 0x8, addend: 0x0, symName: _Java_MutateFinals_jniSetStaticBooleanField, symObjAddr: 0x490, symBinAddr: 0xC20, symSize: 0x70 }
  - { offsetInCU: 0x80E, offset: 0x80E, size: 0x8, addend: 0x0, symName: _Java_MutateFinals_jniSetStaticByteField, symObjAddr: 0x500, symBinAddr: 0xC90, symSize: 0x70 }
  - { offsetInCU: 0x8A0, offset: 0x8A0, size: 0x8, addend: 0x0, symName: _Java_MutateFinals_jniSetStaticCharField, symObjAddr: 0x570, symBinAddr: 0xD00, symSize: 0x70 }
  - { offsetInCU: 0x932, offset: 0x932, size: 0x8, addend: 0x0, symName: _Java_MutateFinals_jniSetStaticShortField, symObjAddr: 0x5E0, symBinAddr: 0xD70, symSize: 0x70 }
  - { offsetInCU: 0x9C4, offset: 0x9C4, size: 0x8, addend: 0x0, symName: _Java_MutateFinals_jniSetStaticIntField, symObjAddr: 0x650, symBinAddr: 0xDE0, symSize: 0x60 }
  - { offsetInCU: 0xA5C, offset: 0xA5C, size: 0x8, addend: 0x0, symName: _Java_MutateFinals_jniSetStaticLongField, symObjAddr: 0x6B0, symBinAddr: 0xE40, symSize: 0x60 }
  - { offsetInCU: 0xAF4, offset: 0xAF4, size: 0x8, addend: 0x0, symName: _Java_MutateFinals_jniSetStaticFloatField, symObjAddr: 0x710, symBinAddr: 0xEA0, symSize: 0x60 }
  - { offsetInCU: 0xB8E, offset: 0xB8E, size: 0x8, addend: 0x0, symName: _Java_MutateFinals_jniSetStaticDoubleField, symObjAddr: 0x770, symBinAddr: 0xF00, symSize: 0x60 }
...
